petsc-3.7.1 2016-05-15
Report Typos and Errors

# MatComputeBandwidth

Calculate the full bandwidth of the matrix, meaning the width 2k+1 where k diagonals on either side are sufficient to contain all the matrix nonzeros.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatComputeBandwidth(Mat A, PetscReal fraction, PetscInt *bw)

Collective on Mat Many br

### Input Parameters

| A | - The Mat Many br
| fraction | - An optional percentage of the Frobenius norm of the matrix that the bandwidth should enclose Many br

### Output Parameter

bw -The matrix bandwidth Many br

Many br

### See Also

DMPlexCreate(), DMPlexSetConeSize(), DMPlexSetChart()

Level:beginner
Location:src/mat/utils/bandwidth.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages